From 4c953064352d426a747e16730d41b2ac860608ba Mon Sep 17 00:00:00 2001
From: Devyani Kota <divs.passion.18@gmail.com>
Date: Oct 28 2015 21:05:36 +0000
Subject: [PATCH 225/254] Added the parse_nvr function to extract the package name


---

diff --git a/hubs/widgets/workflow/updates2stable.py b/hubs/widgets/workflow/updates2stable.py
index ea0a996..7140fda 100644
--- a/hubs/widgets/workflow/updates2stable.py
+++ b/hubs/widgets/workflow/updates2stable.py
@@ -35,7 +35,7 @@ template = jinja2.Template("""
 
 from hubs.widgets.chrome import panel
 # If 'updates' is empty, then don't render any chrome.
-chrome = panel('Updates Ready for Stable', key='updates')
+chrome = panel('Updates Ready for Stable') #, key='updates')
 
 
 giveaway = 'can be pushed to stable now'
@@ -49,10 +49,11 @@ def data(session, widget, username):
 
     # First, get all of my updates currently in testing.
     bodhiurl = 'https://bodhi.fedoraproject.org/updates/'
-    query = '?username={username}&status=testing'.format(username=username)
+    query = '?user={username}&status=testing'.format(username=username)
     url = bodhiurl + query
     headers = {'Accept': 'application/json'}
     response = requests.get(url, headers=headers)
+    print response
     data = response.json()
 
     # Limit it this to only the updates that haven't already requested stable
@@ -66,13 +67,20 @@ def data(session, widget, username):
     # Stuff some useful information in there.
     baseurl = 'https://apps.fedoraproject.org/packages/images/icons/'
     for update in data['updates']:
-        package = update['builds'][0]['package']['name']
-        update['icon'] = baseurl + package + '.png'
+        nvr = update['builds'][0]
+        package = parse_nvr(nvr)
+        update['icon'] = baseurl + package[0] + '.png'
         update['link'] = bodhiurl + update['title']
 
     return data
 
 
+def parse_nvr(nvr):
+    # Return the [ name, version, release ] of a given name-ver-rel.
+    x = nvr.items()[0][1].split('-')
+    return ['-'.join(x[:-2]), x[-2], x[-1]]
+
+
 @hint(topics=[_('bodhi.update.comment')])
 def should_invalidate(message, session, widget):
     if giveaway in message['msg']['comment']['text']:

